curl --request GET \
--url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inbox_id": "<string>",
"thread_id": "<string>",
"message_id": "<string>",
"labels": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z",
"from": "<string>",
"to": [
"<string>"
],
"size": 123,
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"reply_to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"text": "<string>",
"html": "<string>",
"extracted_text": "<string>",
"extracted_html": "<string>",
"attachments": [
{
"attachment_id": "<string>",
"size": 123,
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "inline",
"content_id": "<string>"
}
],
"in_reply_to": "<string>",
"references": [
"<string>"
],
"headers": {}
}{
"name": "<string>",
"message": "<string>"
}Get Message
Get Message
message_id, thread_id, labels, timestamp, from, reply_to, to, cc, bcc, subject, preview, text, html, extracted_text and attachment metadata. For the original MIME source use get_agentmail_inbox_message_raw; for an attachment’s download URL, get_agentmail_inbox_message_attachment.
Example
curl -X GET "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer authentication
Response
Response with status 200
The ID of the inbox.
ID of thread.
ID of message.
Labels of message.
Time at which message was sent or drafted.
Address of sender. In format username@domain.com or Display Name <username@domain.com>.
Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.
Size of message in bytes.
Time at which message was last updated.
Time at which message was created.
Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.
Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.
Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.
Subject of message.
Text preview of message.
Plain text body of message.
HTML body of message.
Extracted new text content.
Extracted new HTML content.
Attachments in message.
Show child attributes
Show child attributes
ID of message being replied to.
IDs of previous messages in thread.
Headers in message.
Show child attributes
Show child attributes